# Class Sequence

Object
CodeList<Sequence>
Sequence

All Implemented Interfaces:
  `Serializable, Comparable<Sequence>`

@UML(identifier="MI_SequenceCode", specification=ISO_19115_2) public final class Sequence extends CodeList<Sequence>
Temporal relation of activation.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Sequence`
  `END`
  End of a collection.
  `static final Sequence`
  `INSTANTANEOUS`
  Collection without a significant duration
  `static final Sequence`
  `START`
  Beginning of a collection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Sequence[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Sequence`
  `valueOf(String code)`
  Returns the sequence that matches the given string, or returns a new one if none match it.
  `static Sequence[]`
  `values()`
  Returns the list of `Sequence`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### START

    @UML(identifier="start", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Sequence START
    Beginning of a collection.

  - ### END

    @UML(identifier="end", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Sequence END
    End of a collection.

  - ### INSTANTANEOUS

    @UML(identifier="instantaneous", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Sequence INSTANTANEOUS
    Collection without a significant duration

- ## Method Details

  - ### values

    public static Sequence[] values()
    Returns the list of `Sequence`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Sequence[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Sequence>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Sequence valueOf(String code)
    Returns the sequence that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.